﻿@model PagedList.IPagedList<CatHub.Models.VideoCatalogModel>
@using PagedList.Mvc;
@{
    ViewBag.Title = "Home Page";
}


<link href="~/Content/PagedList.css" rel="stylesheet" type="text/css" />

<div class="album py-5 bg-light">
    <div class="container">

        <div class="row">



            @foreach (var item in Model)
            {
                <div class="col-md-4">
                    <div class="card mb-4 box-shadow">
                        <img class="card-img-top" alt="Image cat" style="height: 225px; width: 100%; display: block;" src="~/ImgFiles/@item.PathImg" data-holder-rendered="true">
                        <div class="card-body">
                            <p class="card-text">
                            <p>  @item.Name</p>
                            @{
                                string name = item.Description;
                                if (name.Length > 200)
                                {
                                    int end = name.Substring(0, 200).LastIndexOf(' ');

                                    name = name.Substring(0, end);
                                }
                            }
                            @**@

                            @name

                            <div class="d-flex justify-content-between align-items-center">
                                <div class="btn-group">

                                    <a class="btn btn-secondary" href="/Home/ConcreteVideo/@item.id" role="button">Full</a>
                                </div>
                                <small class="text-muted">@item.Date</small>
                            </div>
                        </div>
                    </div>
                </div>

            }

        </div>
        @Html.PagedListPager(Model, page => Url.Action("Index", new { page }))
    </div>

</div>
